package com.dkha.common.modules.vo;
import com.dkha.common.modules.vo.position.PositionVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@AllArgsConstructor
@NoArgsConstructor
@Data
//@JsonInclude(JsonInclude.Include.NON_NULL)
@ApiModel(value="视频页面比对展示的vo", description="前端页面比对人脸库展示数据")
public class CompareFaceList {


    @ApiModelProperty(value = "时间")
    private String time;

    @ApiModelProperty(value = "原始人脸地址")
    private String cphoto;
    @ApiModelProperty(value = "比对最相似的人脸地址")
    private String rphoto;
    @ApiModelProperty(value = "比对相似度")
    private double xsd;
    @ApiModelProperty(value = "姓名")
    private String name;
//    @ApiModelProperty(value = "性别")
//    private String sex;
//    @ApiModelProperty(value = "身份证号码")
//    private String idCard;
//    @ApiModelProperty(value = "年龄")
//    private Integer age;
    @ApiModelProperty(value = "库名称")
    private String libName;
//    @ApiModelProperty(value = "库id")
//    private String libId;

}
